#include <bits/stdc++.h>
using namespace std;
int n,m,a[100005],rezultat,razlika_pr_i_nepr[100005];
pair<int,int> par[100005];
int main(){
    cin>>n>>m;
    for(int i=1;i<=n;i++)scanf("%d",&a[i]);
    for(int i=1;i<=m;i++)scanf("%d%d",&par[i].first,&par[i].second);
    for(int i=1;i<=m;i++){
        if(a[par[i].first]>0 and a[par[i].second]>0){
            razlika_pr_i_nepr[par[i].first]++;
            razlika_pr_i_nepr[par[i].second]++;
        }
        else if(a[par[i].first]<0 and a[par[i].second]<0){
            razlika_pr_i_nepr[par[i].first]--;
            razlika_pr_i_nepr[par[i].second]--;
        }
        else if(abs(a[par[i].first])>abs(a[par[i].second])){
            if(a[par[i].first]<0){
                razlika_pr_i_nepr[par[i].first]--;
                razlika_pr_i_nepr[par[i].second]--;
            }
            else {
                razlika_pr_i_nepr[par[i].first]++;
                razlika_pr_i_nepr[par[i].second]++;
            }
        }
        else{
            if(a[par[i].second]<0){
                razlika_pr_i_nepr[par[i].first]--;
                razlika_pr_i_nepr[par[i].second]--;
            }
            else {
                razlika_pr_i_nepr[par[i].first]++;
                razlika_pr_i_nepr[par[i].second]++;
            }

        }
    }
    for(int i=1;i<=n;i++){
        rezultat+=a[i]*razlika_pr_i_nepr[i];
    }
    cout<<rezultat<<endl;
return 0;
}